### Hierarchy

- ShaderData

### Implements

- AnyProperties

## Index

### Constructors

- constructor

### Properties

- alpha
- colorMultipliers
- colorOffsets
- texture0

## Constructors

### constructor

- new ShaderData(bytes?: ByteArray): ShaderData

- - Defined in lib/openfl/display/ShaderData.d.ts:15

  #### Parameters

  - ##### Optional bytes: ByteArray

  #### Returns ShaderData

## Properties

### alpha

alpha: ShaderParameter<number>

- Defined in lib/openfl/display/ShaderData.d.ts:20

### colorMultipliers

colorMultipliers: ShaderParameter<number>

- Defined in lib/openfl/display/ShaderData.d.ts:21

### colorOffsets

colorOffsets: ShaderParameter<number>

- Defined in lib/openfl/display/ShaderData.d.ts:22

### texture0

texture0: ShaderInput<BitmapData>

- Defined in lib/openfl/display/ShaderData.d.ts:19

Generated using TypeDoc